<?php
namespace Lp\LibBundle\Entity;


use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class mappant la table concert de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="concert")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\ConcertRepository")
 */
class Concert
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="concert_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Groupe", inversedBy="concerts")
	 * @ORM\JoinColumn(name="groupe_id", referencedColumnName="groupe_id")
	 */
	protected $groupe_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Salle", inversedBy="concerts")
	 * @ORM\JoinColumn(name="salle_id", referencedColumnName="salle_id")
	 */
	protected $salle_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * @var    DateTime
	 * 
	 * @ORM\Column(type="date")
	 */
	protected $date;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="text")
	 */
	protected $report;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Setlist", mappedBy="concert_id")
	 */
	protected $setlists;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Photo", mappedBy="concert_id")
	 */
	protected $photos;
	
	public function __construct()
	{
		$this->setlists = new ArrayCollection();
		$this->photos = new ArrayCollection();
	}
	

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set date
     *
     * @param date $date
     */
    public function setDate($date)
    {
        $this->date = $date;
    }

    /**
     * Get date
     *
     * @return date 
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * Set report
     *
     * @param text $report
     */
    public function setReport($report)
    {
        $this->report = $report;
    }

    /**
     * Get report
     *
     * @return text 
     */
    public function getReport()
    {
        return $this->report;
    }

    /**
     * Set groupe_id
     *
     * @param Lp\LibBundle\Entity\Groupe $groupeId
     */
    public function setGroupeId(\Lp\LibBundle\Entity\Groupe $groupeId)
    {
        $this->groupe_id = $groupeId;
    }

    /**
     * Get groupe_id
     *
     * @return Lp\LibBundle\Entity\Groupe 
     */
    public function getGroupeId()
    {
        return $this->groupe_id;
    }

    /**
     * Set salle_id
     *
     * @param Lp\LibBundle\Entity\Salle $salleId
     */
    public function setSalleId(\Lp\LibBundle\Entity\Salle $salleId)
    {
        $this->salle_id = $salleId;
    }

    /**
     * Get salle_id
     *
     * @return Lp\LibBundle\Entity\Salle 
     */
    public function getSalleId()
    {
        return $this->salle_id;
    }

    /**
     * Add setlists
     *
     * @param Lp\LibBundle\Entity\Setlist $setlists
     */
    public function addSetlist(\Lp\LibBundle\Entity\Setlist $setlists)
    {
        $this->setlists[] = $setlists;
    }

    /**
     * Get setlists
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getSetlists()
    {
        return $this->setlists;
    }

    /**
     * Add photos
     *
     * @param Lp\LibBundle\Entity\Photo $photos
     */
    public function addPhoto(\Lp\LibBundle\Entity\Photo $photos)
    {
        $this->photos[] = $photos;
    }

    /**
     * Get photos
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getPhotos()
    {
        return $this->photos;
    }
}