<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class mappant la table groupe de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="groupe")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\GroupeRepository")
 */
class Groupe
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="groupe_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $nom;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $site;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $rss;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Pays", inversedBy="groupes")
	 * @ORM\JoinColumn(name="pays_id", referencedColumnName="pays_id")
	 */
	protected $pays_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Concert", mappedBy="groupe_id")
	 */
	protected $concerts;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Groupe_Rss", mappedBy="groupe_id")
	 */
	protected $groupe_rsss;
	
	public function __construct()
	{
		$this->concerts  = new ArrayCollection();
		$this->groupe_rsss = new ArrayCollection(); 
	}

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set nom
     *
     * @param string $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set site
     *
     * @param string $site
     */
    public function setSite($site)
    {
        $this->site = $site;
    }

    /**
     * Get site
     *
     * @return string 
     */
    public function getSite()
    {
        return $this->site;
    }

    /**
     * Set rss
     *
     * @param string $rss
     */
    public function setRss($rss)
    {
        $this->rss = $rss;
    }

    /**
     * Get rss
     *
     * @return string 
     */
    public function getRss()
    {
        return $this->rss;
    }

    /**
     * Set pays_id
     *
     * @param Lp\LibBundle\Entity\Pays $paysId
     */
    public function setPaysId(\Lp\LibBundle\Entity\Pays $paysId)
    {
        $this->pays_id = $paysId;
    }

    /**
     * Get pays_id
     *
     * @return Lp\LibBundle\Entity\Pays 
     */
    public function getPaysId()
    {
        return $this->pays_id;
    }

    /**
     * Add concerts
     *
     * @param Lp\LibBundle\Entity\Concert $concerts
     */
    public function addConcert(\Lp\LibBundle\Entity\Concert $concerts)
    {
        $this->concerts[] = $concerts;
    }

    /**
     * Get concerts
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getConcerts()
    {
        return $this->concerts;
    }

    /**
     * Add groupe_rsss
     *
     * @param Lp\LibBundle\Entity\Groupe_Rss $groupeRsss
     */
    public function addGroupe_Rss(\Lp\LibBundle\Entity\Groupe_Rss $groupeRsss)
    {
        $this->groupe_rsss[] = $groupeRsss;
    }

    /**
     * Get groupe_rsss
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getGroupeRsss()
    {
        return $this->groupe_rsss;
    }
}