<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class mappant la table pays de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="pays")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\PaysRepository")
 */
class Pays
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="pays_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $nom;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Groupe", mappedBy="pays_id")
	 */
	protected $groupes;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Ville", mappedBy="pays_id")
	 */
	protected $villes;

	
	public function __construct()
	{
		$this->groupes = new ArrayCollection();
		$this->villes = new ArrayCollection();
	}

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set nom
     *
     * @param string $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Add groupes
     *
     * @param Lp\LibBundle\Entity\Groupe $groupes
     */
    public function addGroupe(\Lp\LibBundle\Entity\Groupe $groupes)
    {
        $this->groupes[] = $groupes;
    }

    /**
     * Get groupes
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getGroupes()
    {
        return $this->groupes;
    }

    /**
     * Add villes
     *
     * @param Lp\LibBundle\Entity\Ville $villes
     */
    public function addVille(\Lp\LibBundle\Entity\Ville $villes)
    {
        $this->villes[] = $villes;
    }

    /**
     * Get villes
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getVilles()
    {
        return $this->villes;
    }
}