<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class mappant la table salle de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="salle")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\SalleRepository")
 */
class Salle
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="salle_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected  $nom;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Ville", inversedBy="salles")
	 * @ORM\JoinColumn(name="ville_id", referencedColumnName="ville_id")
	 */
	protected $ville_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Concert", mappedBy="salle_id")
	 */
	protected $concerts;
	
	public function __construct()
	{
		$this->concerts  = new ArrayCollection(); 
	}

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set nom
     *
     * @param string $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set ville_id
     *
     * @param Lp\LibBundle\Entity\Ville $villeId
     */
    public function setVilleId(\Lp\LibBundle\Entity\Ville $villeId)
    {
        $this->ville_id = $villeId;
    }

    /**
     * Get ville_id
     *
     * @return Lp\LibBundle\Entity\Ville 
     */
    public function getVilleId()
    {
        return $this->ville_id;
    }

    /**
     * Add concerts
     *
     * @param Lp\LibBundle\Entity\Concert $concerts
     */
    public function addConcert(\Lp\LibBundle\Entity\Concert $concerts)
    {
        $this->concerts[] = $concerts;
    }

    /**
     * Get concerts
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getConcerts()
    {
        return $this->concerts;
    }
}