<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * Class mappant la table ville de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="ville")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\VilleRepository")
 */
class Ville
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="ville_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $nom;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Pays", inversedBy="villes")
	 * @ORM\JoinColumn(name="pays_id", referencedColumnName="pays_id")
	 */
	protected $pays_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\OneToMany(targetEntity="Salle", mappedBy="ville_id")
	 */
	protected $salles;

	
	public function __construct()
	{
		$this->salles = new ArrayCollection();
	}

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set nom
     *
     * @param string $nom
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set pays_id
     *
     * @param Lp\LibBundle\Entity\Pays $paysId
     */
    public function setPaysId(\Lp\LibBundle\Entity\Pays $paysId)
    {
        $this->pays_id = $paysId;
    }

    /**
     * Get pays_id
     *
     * @return Lp\LibBundle\Entity\Pays 
     */
    public function getPaysId()
    {
        return $this->pays_id;
    }

    /**
     * Add salles
     *
     * @param Lp\LibBundle\Entity\Salle $salles
     */
    public function addSalle(\Lp\LibBundle\Entity\Salle $salles)
    {
        $this->salles[] = $salles;
    }

    /**
     * Get salles
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getSalles()
    {
        return $this->salles;
    }
}